<?php

/**
 * @file
 * Eau de Web Theme theme file.
 *
 * Demo description with code and link
 *  '#description' => t('Demo code <code>.theme-colors</code> and link @demo_link.', [
 *    '@demo_link' => Link::fromTextAndUrl('Containers',
 *                    Url::fromUri('https://getbootstrap.com/docs/5.0/layout/containers/', [
 *                      'absolute' => TRUE,
 *                      'fragment' => 'containers'
 *                     ]))->toString(),
 *  ]),
 */

use Drupal\Core\Form\FormStateInterface;

/**
 * Implements hook_form_FORM_ID_alter().
 */
function edwt_form_system_theme_settings_alter(&$form, FormStateInterface $form_state, $form_id = NULL) {
  // Work-around for a core bug affecting admin themes. See issue #943212.
  if (isset($form_id)) {
    return;
  }

  $options_container = [
    'container' => 'Fixed',
    'container-fluid' => 'Fluid',
  ];

  $form['edwt'] = [
    '#type' => 'vertical_tabs',
    '#title' => t('Theme settings'),
    // '#prefix' => '<div class="h2">' . t('Some text before title') . '</div>',
    '#weight' => -10,
  ];

  // Main settings.
  $form['settings'] = [
    '#type'         => 'details',
    '#title'        => t('Main'),
    // '#description'  => t('some description'),
    '#group' => 'edwt',
    '#weight' => 1,
  ];
  include 'theme-settings/settings-global.inc';

  // Sections settings.
  $form['sections'] = [
    '#type'         => 'details',
    '#title'        => t('Sections'),
    '#group' => 'edwt',
    '#weight' => 2,
  ];
  include 'theme-settings/settings-sections.inc';
}
